package com.mortals.xhx.module.app.model;

import java.util.List;
import com.mortals.xhx.module.app.model.AppPublishEntity;
/**
* 应用发布部署查询对象
*
* @author zxfei
* @date 2023-02-01
*/
public class AppPublishQuery extends AppPublishEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 应用编码 */
    private List<String> appCodeList;

    /** 应用名称 */
    private List<String> appNameList;

    /** 文件路径地址 */
    private List<String> filePathList;

    /** 文件部署路径地址 */
    private List<String> distributeFilePathList;

    /** 开始 应用类型(0.前端，1.后端) */
    private Integer appTypeStart;

    /** 结束 应用类型(0.前端，1.后端) */
    private Integer appTypeEnd;

    /** 增加 应用类型(0.前端，1.后端) */
    private Integer appTypeIncrement;

    /** 应用类型(0.前端，1.后端)列表 */
    private List <Integer> appTypeList;

    /** 开始 是否部署(0.否，1.是) */
    private Integer distributeStart;

    /** 结束 是否部署(0.否，1.是) */
    private Integer distributeEnd;

    /** 增加 是否部署(0.否，1.是) */
    private Integer distributeIncrement;

    /** 是否部署(0.否，1.是)列表 */
    private List <Integer> distributeList;

    /** 版本 */
    private List<String> versionList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AppPublishQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AppPublishQuery> andConditionList;

    public AppPublishQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 应用编码
    * @return appCodeList
    */
    public List<String> getAppCodeList(){
        return this.appCodeList;
    }

    /**
    * 设置 应用编码
    * @param appCodeList
    */
    public void setAppCodeList(List<String> appCodeList){
        this.appCodeList = appCodeList;
    }
    /**
    * 获取 应用名称
    * @return appNameList
    */
    public List<String> getAppNameList(){
        return this.appNameList;
    }

    /**
    * 设置 应用名称
    * @param appNameList
    */
    public void setAppNameList(List<String> appNameList){
        this.appNameList = appNameList;
    }
    /**
    * 获取 文件路径地址
    * @return filePathList
    */
    public List<String> getFilePathList(){
        return this.filePathList;
    }

    /**
    * 设置 文件路径地址
    * @param filePathList
    */
    public void setFilePathList(List<String> filePathList){
        this.filePathList = filePathList;
    }
    /**
    * 获取 文件部署路径地址
    * @return distributeFilePathList
    */
    public List<String> getDistributeFilePathList(){
        return this.distributeFilePathList;
    }

    /**
    * 设置 文件部署路径地址
    * @param distributeFilePathList
    */
    public void setDistributeFilePathList(List<String> distributeFilePathList){
        this.distributeFilePathList = distributeFilePathList;
    }
    /**
    * 获取 开始 应用类型(0.前端，1.后端)
    * @return appTypeStart
    */
    public Integer getAppTypeStart(){
        return this.appTypeStart;
    }

    /**
    * 设置 开始 应用类型(0.前端，1.后端)
    * @param appTypeStart
    */
    public void setAppTypeStart(Integer appTypeStart){
        this.appTypeStart = appTypeStart;
    }

    /**
    * 获取 结束 应用类型(0.前端，1.后端)
    * @return $appTypeEnd
    */
    public Integer getAppTypeEnd(){
        return this.appTypeEnd;
    }

    /**
    * 设置 结束 应用类型(0.前端，1.后端)
    * @param appTypeEnd
    */
    public void setAppTypeEnd(Integer appTypeEnd){
        this.appTypeEnd = appTypeEnd;
    }

    /**
    * 获取 增加 应用类型(0.前端，1.后端)
    * @return appTypeIncrement
    */
    public Integer getAppTypeIncrement(){
        return this.appTypeIncrement;
    }

    /**
    * 设置 增加 应用类型(0.前端，1.后端)
    * @param appTypeIncrement
    */
    public void setAppTypeIncrement(Integer appTypeIncrement){
        this.appTypeIncrement = appTypeIncrement;
    }

    /**
    * 获取 应用类型(0.前端，1.后端)
    * @return appTypeList
    */
    public List<Integer> getAppTypeList(){
        return this.appTypeList;
    }

    /**
    * 设置 应用类型(0.前端，1.后端)
    * @param appTypeList
    */
    public void setAppTypeList(List<Integer> appTypeList){
        this.appTypeList = appTypeList;
    }

    /**
    * 获取 开始 是否部署(0.否，1.是)
    * @return distributeStart
    */
    public Integer getDistributeStart(){
        return this.distributeStart;
    }

    /**
    * 设置 开始 是否部署(0.否，1.是)
    * @param distributeStart
    */
    public void setDistributeStart(Integer distributeStart){
        this.distributeStart = distributeStart;
    }

    /**
    * 获取 结束 是否部署(0.否，1.是)
    * @return $distributeEnd
    */
    public Integer getDistributeEnd(){
        return this.distributeEnd;
    }

    /**
    * 设置 结束 是否部署(0.否，1.是)
    * @param distributeEnd
    */
    public void setDistributeEnd(Integer distributeEnd){
        this.distributeEnd = distributeEnd;
    }

    /**
    * 获取 增加 是否部署(0.否，1.是)
    * @return distributeIncrement
    */
    public Integer getDistributeIncrement(){
        return this.distributeIncrement;
    }

    /**
    * 设置 增加 是否部署(0.否，1.是)
    * @param distributeIncrement
    */
    public void setDistributeIncrement(Integer distributeIncrement){
        this.distributeIncrement = distributeIncrement;
    }

    /**
    * 获取 是否部署(0.否，1.是)
    * @return distributeList
    */
    public List<Integer> getDistributeList(){
        return this.distributeList;
    }

    /**
    * 设置 是否部署(0.否，1.是)
    * @param distributeList
    */
    public void setDistributeList(List<Integer> distributeList){
        this.distributeList = distributeList;
    }

    /**
    * 获取 版本
    * @return versionList
    */
    public List<String> getVersionList(){
        return this.versionList;
    }

    /**
    * 设置 版本
    * @param versionList
    */
    public void setVersionList(List<String> versionList){
        this.versionList = versionList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public AppPublishQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public AppPublishQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public AppPublishQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public AppPublishQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public AppPublishQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 应用编码
    * @param appCode
    */
    public AppPublishQuery appCode(String appCode){
        setAppCode(appCode);
		return this;
    }

    /**
    * 设置 应用编码
    * @param appCodeList
    */
    public AppPublishQuery appCodeList(List<String> appCodeList){
        this.appCodeList = appCodeList;
		return this;
    }


	/**
    * 设置 应用名称
    * @param appName
    */
    public AppPublishQuery appName(String appName){
        setAppName(appName);
		return this;
    }

    /**
    * 设置 应用名称
    * @param appNameList
    */
    public AppPublishQuery appNameList(List<String> appNameList){
        this.appNameList = appNameList;
		return this;
    }


	/**
    * 设置 文件路径地址
    * @param filePath
    */
    public AppPublishQuery filePath(String filePath){
        setFilePath(filePath);
		return this;
    }

    /**
    * 设置 文件路径地址
    * @param filePathList
    */
    public AppPublishQuery filePathList(List<String> filePathList){
        this.filePathList = filePathList;
		return this;
    }


	/**
    * 设置 文件部署路径地址
    * @param distributeFilePath
    */
    public AppPublishQuery distributeFilePath(String distributeFilePath){
        setDistributeFilePath(distributeFilePath);
		return this;
    }

    /**
    * 设置 文件部署路径地址
    * @param distributeFilePathList
    */
    public AppPublishQuery distributeFilePathList(List<String> distributeFilePathList){
        this.distributeFilePathList = distributeFilePathList;
		return this;
    }

    /**
    * 设置  应用类型(0.前端，1.后端)
    * @param appType
    */
    public AppPublishQuery appType(Integer appType){
	    setAppType(appType);
		return this;
    }
	
	 /**
    * 设置 开始 应用类型(0.前端，1.后端)
    * @param appTypeStart
    */
    public AppPublishQuery appTypeStart(Integer appTypeStart){
		this.appTypeStart = appTypeStart;
		return this;
    }

    /**
    * 设置 结束 应用类型(0.前端，1.后端)
    * @param appTypeEnd
    */
    public AppPublishQuery appTypeEnd(Integer appTypeEnd){
		this.appTypeEnd = appTypeEnd;
		return this;
    }

    /**
    * 设置 增加 应用类型(0.前端，1.后端)
    * @param appTypeIncrement
    */
    public AppPublishQuery appTypeIncrement(Integer appTypeIncrement){
		this.appTypeIncrement = appTypeIncrement;
		return this;
    }

    /**
    * 设置 应用类型(0.前端，1.后端)
    * @param appTypeList
    */
    public AppPublishQuery appTypeList(List<Integer> appTypeList){
        this.appTypeList = appTypeList;
		return this;
        }

    /**
    * 设置  是否部署(0.否，1.是)
    * @param distribute
    */
    public AppPublishQuery distribute(Integer distribute){
	    setDistribute(distribute);
		return this;
    }
	
	 /**
    * 设置 开始 是否部署(0.否，1.是)
    * @param distributeStart
    */
    public AppPublishQuery distributeStart(Integer distributeStart){
		this.distributeStart = distributeStart;
		return this;
    }

    /**
    * 设置 结束 是否部署(0.否，1.是)
    * @param distributeEnd
    */
    public AppPublishQuery distributeEnd(Integer distributeEnd){
		this.distributeEnd = distributeEnd;
		return this;
    }

    /**
    * 设置 增加 是否部署(0.否，1.是)
    * @param distributeIncrement
    */
    public AppPublishQuery distributeIncrement(Integer distributeIncrement){
		this.distributeIncrement = distributeIncrement;
		return this;
    }

    /**
    * 设置 是否部署(0.否，1.是)
    * @param distributeList
    */
    public AppPublishQuery distributeList(List<Integer> distributeList){
        this.distributeList = distributeList;
		return this;
        }


	/**
    * 设置 版本
    * @param version
    */
    public AppPublishQuery version(String version){
        setVersion(version);
		return this;
    }

    /**
    * 设置 版本
    * @param versionList
    */
    public AppPublishQuery versionList(List<String> versionList){
        this.versionList = versionList;
		return this;
    }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public AppPublishQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public AppPublishQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public AppPublishQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public AppPublishQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public AppPublishQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AppPublishQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AppPublishQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AppPublishQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AppPublishQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}